summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Euan Thoms <euan at potensol dot com>2015-03-27 19:19:41 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-03-28 02:22:07 +0700
commit7edaf66e622fcfb35072142b436b216935327d8e (patch)
tree2295187e3670bdff32f1087234e50c2c2c3c299e /development
parentdf85d4fcc7bbb1ab227b9dc22656e96fe0dd8581 (diff)
downloadslackbuilds-7edaf66e622fcfb35072142b436b216935327d8e.tar.gz
slackbuilds-7edaf66e622fcfb35072142b436b216935327d8e.tar.xz
development/monkey-studio: Added (Monkey Studio IDE).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/monkey-studio/README18
-rw-r--r--development/monkey-studio/doinst.sh3
-rw-r--r--development/monkey-studio/monkey-studio.SlackBuild109
-rw-r--r--development/monkey-studio/monkey-studio.info10
-rw-r--r--development/monkey-studio/slack-desc19
5 files changed, 159 insertions, 0 deletions
diff --git a/development/monkey-studio/README b/development/monkey-studio/README
new file mode 100644
index 0000000000..ad66916811
--- /dev/null
+++ b/development/monkey-studio/README
@@ -0,0 +1,18 @@
+Monkey Studio is a free crossplatform IDE.
+The project has been started by AZEVEDO Filipe for his personal use around end of June 2005, and when he found it useful he open it to the community.
+The project has been well received and some guys join it or send feedbacks/new features.
+
+The current version is the v2 branch which succeed the v1 one and is dependent of Qt 4.4.0 minimum.
+It support Qt 4 projects management and embed Designer and Assistant to form a complete, fast and power full Qt 4 IDE.
+It's based upon a powerful and flexible plugin system that allow to extend it in an infinite way, currently there's tons of plugins :
+
+ PHP-Qt : Management of PHP-Qt project (Qt 4 bindings for php).
+ PyQt : Management of PyQt projects (Qt 4 bindings for python).
+ and many others...
+
+Monkey Studio is released under the GNU GPL. Its based on Qt 4.4.x and upper and is working on all majors OS's.
+It has been reported to work on : Windows 98 SE, XP and Vista, Mac OS X 10.3 and up, Mandriva, Suse, Fedora, Frugalware, Gentoo and debian/Ubuntu/Kubuntu.
+
+Same Development Environment on all Platforms !
+It's developed using the Qt library itself. So it should run on every platform that Qt 4 supports.
+This way you can work on your progress on every platforms in the same IDE. Developing cross-platform software can be so easy!
diff --git a/development/monkey-studio/doinst.sh b/development/monkey-studio/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/monkey-studio/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/monkey-studio/monkey-studio.SlackBuild b/development/monkey-studio/monkey-studio.SlackBuild
new file mode 100644
index 0000000000..f650795af2
--- /dev/null
+++ b/development/monkey-studio/monkey-studio.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Slackware build script for Monkey Studio IDE
+
+# Copyright 2015 Euan Thoms Singapore
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=monkey-studio
+VERSION=${VERSION:-1.9.0.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCTAR=mks_$VERSION-src
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCTAR
+tar xvf $CWD/$SRCTAR.tar.gz
+cd $SRCTAR
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+qmake -r \
+ prefix=/usr \
+ libdir=/usr/lib${LIBDIRSUFFIX} \
+ sysconfdir=/etc \
+ localstatedir=/var \
+ build=$ARCH-slackware-linux
+
+make
+INSTALL_ROOT=$PKG make install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+# Move doc directory /usr/share/docs/monkeystudio to slackbuild standard directory
+# /usr/doc/$PRGNAM-$VERSION. Since docdir= isn't honoured by qmake.
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/share/doc/monkeystudio $PKG/usr/doc/$PRGNAM-$VERSION
+rmdir $PKG/usr/share/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Make bin files executable
+chmod +x $PKG/usr/bin/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/monkey-studio/monkey-studio.info b/development/monkey-studio/monkey-studio.info
new file mode 100644
index 0000000000..00e5a4a3ae
--- /dev/null
+++ b/development/monkey-studio/monkey-studio.info
@@ -0,0 +1,10 @@
+PRGNAM="monkey-studio"
+VERSION="1.9.0.4"
+HOMEPAGE="http://monkeystudio.org/"
+DOWNLOAD="http://monkeystudio.googlecode.com/files/mks_1.9.0.4-src.tar.gz"
+MD5SUM="1b76fdaf9293ab160ca90ff919440598"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Euan Thoms"
+EMAIL="euan at potensol dot com"
diff --git a/development/monkey-studio/slack-desc b/development/monkey-studio/slack-desc
new file mode 100644
index 0000000000..b840c733df
--- /dev/null
+++ b/development/monkey-studio/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+monkey-studio: monkey-studio (Monkey Studio IDE)
+monkey-studio:
+monkey-studio: Monkey Studio (MkS) is a cross platform IDE written in C++/Qt 4.
+monkey-studio:
+monkey-studio: It's primary goal was to be a Qt 4 only IDE, but it evoluate a way
+monkey-studio: to support Qt development and any kind of project.
+monkey-studio:
+monkey-studio:
+monkey-studio:
+monkey-studio:
+monkey-studio: